<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2015-03-25 09:44:55'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='doc.frgm.namespaces';
		param.title='Namespace Summary';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.frgm.namespaces.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.columns';
		param.title='Generate page columns';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs2';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs4';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Number';
		style.id='cs5';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Summary Heading';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
	}
	PAR_STYLE={
		style.name='Summary Item Heading';
		style.id='ps3';
		text.font.name='SansSerif';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.bottom='9';
	}
	TABLE_STYLE={
		style.name='Summary Table';
		style.id='ts1';
		table.sizing='Relative';
		table.cell.padding.both='2.5';
	}
	TCELL_STYLE={
		style.name='Summary Table Cell';
		style.id='tcs1';
	}
	TROW_STYLE={
		style.name='Summary Table Header';
		style.id='trs1';
		trow.bkgr.color='#CCCCFF';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs4';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='398.3';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='Namespace Summary'
						FMT={
							ctrl.size.width='101.3';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<ELEMENT_ITER>
		INIT_EXPR='output.format.supportsPageRefs ?
{
  showPageColumn = false;

  getBooleanParam("page.columns") && output.generating ?
  {
    index = 0;
    repeat (BooleanQuery ({

      (el = iterator.itemAt (index).toElement()) != null ?
      {
        showPageColumn = findHyperTarget (Array (
          el.value, "detail"
        )) != null;

        index = index + 1;
        ! showPageColumn

      } : false;
    }));
  };

  thisContext.setVar ("showPageColumn", showPageColumn)
}'
		TARGET_ET='#CUSTOM'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='toCustomElements (getElementMapKeys("namespaces"))'
		SORTING='by-value'
		SORTING_KEY={lpath='.',ascending}
		SORTING_COND='getBooleanParam("doc.frgm.namespaces.sorting")'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
			table.cell.padding.both='3';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					trow.style='trs1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Namespace Summary'
								FMT={
									ctrl.size.width='474';
									ctrl.size.height='18';
									tcell.style='tcs1';
									par.style='ps2';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								COND='output.format.supportsPageRefs
&&
thisContext.getBooleanVar ("showPageColumn")'
								TEXT='Page'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									text.style='cs5';
									text.font.style.bold='true';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					trow.cell.align.vert='Top';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='Namespace Info'
								FMT={
									ctrl.size.width='474';
									ctrl.size.height='18';
									tcell.style='tcs1';
								}
							</SS_CALL_CTRL>
							<DATA_CTRL>
								COND='output.format.supportsPageRefs
&&
thisContext.getBooleanVar ("showPageColumn")'
								DOCFIELD='page-htarget'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='18';
									ctrl.option.noHLinkFmt='true';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									text.style='cs5';
									text.hlink.fmt='none';
								}
								<DOC_HLINK>
									HKEYS={
										'contextElement.value';
										'"detail"';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Namespace Info'
		MATCHING_ET='#CUSTOM'
		<BODY>
			<AREA_SEC>
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"detail"';
					}
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
							par.style='ps3';
							par.page.keepWithNext='true';
						}
						<CTRLS>
							<IMAGE_CTRL>
								COND='getBooleanParam("show.icons")'
								IMAGE_TYPE='file-image'
								FILE='../images/namespace.png'
								OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
								FMT={
									image.alignment='middle';
									image.padding.right='3';
									image.padding.bottom='1.5';
								}
							</IMAGE_CTRL>
							<DATA_CTRL>
								EXPR='contextElement.value != "" ? contextElement.value : "{no namespace}"'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  contextElement.value != ""
    ? "Namespace {" + contextElement.value.toString() + "}"
    : "No Namespace"
: ""'
									HKEYS={
										'contextElement.value';
										'"detail"';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='namespaceProfile.tpl'
				PASSED_PARAMS={
					'$nsURI','contextElement.value';
					'$compact','true';
				}
				PASSED_ROOT_ELEMENT_EXPR='rootElement'
				FMT={
					sec.indent.block='true';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='7oRLum21hlVyOtzI8IM6lDUpn+rg9Yb9PXrLj7KscyY'
</FLEXDOCXYZ_TEMPLATE>