<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-06-20 09:43:42'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:service'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Target Namespace URI';
		param.type='string';
		param.defaultValue.expr='findAncestor("wsdl:definitions").getAttrValue("targetNamespace")';
		param.hidden='true';
	}
	PARAM={
		param.name='$xmlName';
		param.description='Displayed XML name (qualified or local) of the service';
		param.type='string';
		param.defaultValue.expr='toXMLName (getStringParam("$nsURI"), getAttrStringValue("name"))';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$title';
		param.title='Component\'s doc title';
		param.type='string';
		param.defaultValue.expr='\'Service "\' + getParam("$xmlName") + \'"\'';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc.wsdl.def';
		param.title='WSDL Definition';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.profile';
		param.title='Definition Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for.service';
		param.title='Services';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports';
		param.title='Port Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.profile';
		param.title='Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.source';
		param.title='XML Source';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.operationSummary';
		param.title='Operation Summary';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.ports.separator';
		param.title='Separator';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle.name';
		param.title='Name';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs2';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs3';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs4';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 3';
		style.id='ps2';
		text.font.name='Times New Roman';
		text.font.size='22';
		par.margin.bottom='12';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps3';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5';
		style.id='ps4';
		text.font.size='10';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 6';
		style.id='ps5';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
		text.font.style.italic='true';
		text.color.background='#CCCCFF';
		text.color.opaque='true';
		par.margin.top='7';
		par.margin.bottom='7';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Superheading';
		style.id='ps6';
		text.font.name='Times New Roman';
		text.font.size='14';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs5';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs6';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs7';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs8';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs9';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs10';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Heading';
		style.id='ps8';
		text.font.size='8';
		text.font.style.bold='true';
		par.margin.bottom='3';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps9';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='6';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps10';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs7';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs9';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
						FMT={
							text.font.style.italic='true';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" &&
output.demoIncomplete && ! contextElement.exceedsDemoLimits'
		TEMPLATE_FILE='../../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='../../navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='document heading in case of multi-file (framed) HTML documentation'
		COND='output.type == "document"'
		FMT={
			par.style='ps1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		DESCR='section heading in case of single-file documentation'
		COND='output.type == "included"'
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.style='ps6';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='service'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
			<CTRL_GROUP>
				FMT={
					par.style='ps2';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$xmlName")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='if this component is excluded from demo documentation'
		COND='contextElement.exceedsDemoLimits'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='../../navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"component"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Service Profile'
		COND='getBooleanParam("doc.wsdl.def.profile")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-profile", true)'
		TEMPLATE_FILE='serviceProfile.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Description'
		COND='getBooleanParam("doc.wsdl.def.description")'
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'contextElement.id';
				'"desc"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Description'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<SS_CALL>
				SS_NAME='WSDL Documentation'
				FMT={
					text.style='cs3';
				}
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.wsdl.def.source")
&&
getBooleanParam("doc.wsdl.def.source.for.service")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"xml-source"';
			}
			NAME_EXPR='output.type == "document" ? "xml_source" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs6';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									text.style='cs5';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.wsdl.def.source.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		DESCR='PORT DETAIL'
		COND='getBooleanParam("doc.wsdl.def.ports")'
		TARGET_ET='wsdl:port'
		SCOPE='simple-location-rules'
		RULES={
			'* -> wsdl:port';
		}
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"port-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Port Detail'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"detail"';
					}
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
							par.page.keepWithNext='true';
						}
						<CTRLS>
							<IMAGE_CTRL>
								COND='getBooleanParam("show.icons")'
								IMAGE_TYPE='file-image'
								FILE='../../images/servicePort.png'
								OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
								FMT={
									image.alignment='bottom';
									image.padding.right='3.5';
									image.padding.bottom='1.5';
								}
							</IMAGE_CTRL>
							<DATA_CTRL>
								ATTR='name'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				SS_NAME='Port'
				FMT={
					sec.indent.block='true';
				}
			</SS_CALL>
			<AREA_SEC>
				COND='getBooleanParam("doc.wsdl.def.ports.separator")
&&
! iterator.isLastItem'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='../../navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
		}
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<AREA_SEC>
		SS_NAME='Operation Type'
		MATCHING_ET='wsdl:operation%wsdl:tOperation'
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='io = findChild("wsdl:input | wsdl:output");

io.instanceOf ("wsdl:input%wsdl:tParam") ?
  hasChild ("wsdl:output") ? "request-response" : "one-way"
:
io.instanceOf ("wsdl:output%wsdl:tParam") ?
  hasChild ("wsdl:input") ? "solicit-response" : "notification"
:
"???"'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		SS_NAME='Port'
		MATCHING_ET='wsdl:port'
		INIT_EXPR='stockSection.setVar (
  "binding",
  findElementByKey (
    "wsdl-bindings",
    getAttrQNameValue("binding"),
    BooleanQuery (checkElementByKey (
      "main-xmls",
      getXMLDocument().id,
      getElementParam("$mainXML")
    ))
  )
)'
		<BODY>
			<SS_CALL>
				COND='getBooleanParam("doc.wsdl.def.ports.description")'
				SS_NAME='WSDL Documentation'
				FMT={
					sec.spacing.after='9';
					text.style='cs4';
				}
			</SS_CALL>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.wsdl.def.ports.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.page.keepTogether='true';
				}
				<BODY>
					<FOLDER>
						DESCR='if binding is found'
						CONTEXT_ELEMENT_EXPR='stockSection.getElementVar ("binding")'
						MATCHING_ET='wsdl:binding'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<AREA_SEC>
								INIT_EXPR='stockSection.setVar (
  "portType",
  findElementByKey (
    "wsdl-portTypes",
    getAttrQNameValue("type"),
    BooleanQuery (checkElementByKey (
      "main-xmls",
      getXMLDocument().id,
      getElementParam("$mainXML")
    ))
  )
)'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Port Type:'
												FMT={
													ctrl.size.width='45.8';
													ctrl.size.height='98.3';
													tcell.sizing='Minimal';
													tcell.align.vert='Top';
													par.style='ps9';
												}
											</TEXT_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='453.8';
													ctrl.size.height='98.3';
													par.style='ps10';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<DATA_CTRL>
																ATTR='type'
																FMT={
																	text.style='cs8';
																}
																<DOC_HLINK>
																	CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("portType")'
																	MATCHING_ET='wsdl:portType'
																	TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("WSDL Definition Link Title")'
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<PANEL>
																COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  stockSection.getElementVar("portType").id,
  "detail"
)) != null'
																FMT={
																	ctrl.size.width='145.5';
																	ctrl.size.height='38.3';
																	text.style='cs10';
																	txtfl.separator.type='none';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='['
																			</TEXT_CTRL>
																			<DATA_CTRL>
																				DOCFIELD='page-htarget'
																				FMT={
																					ctrl.option.noHLinkFmt='true';
																					text.hlink.fmt='none';
																				}
																				<DOC_HLINK>
																					CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("portType")'
																					MATCHING_ET='wsdl:portType'
																					HKEYS={
																						'contextElement.id';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</DATA_CTRL>
																			<TEXT_CTRL>
																				TEXT=']'
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<TEXT_CTRL>
																TEXT='via binding'
															</TEXT_CTRL>
															<SS_CALL_CTRL>
																SS_NAME='WSDL Definition Name'
																FMT={
																	text.style='cs8';
																	txtfl.separator.type='text';
																	txtfl.separator.text=', ';
																}
															</SS_CALL_CTRL>
															<PANEL>
																COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
																FMT={
																	ctrl.size.width='145.5';
																	ctrl.size.height='38.3';
																	text.style='cs10';
																	txtfl.separator.type='none';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='['
																			</TEXT_CTRL>
																			<DATA_CTRL>
																				DOCFIELD='page-htarget'
																				FMT={
																					ctrl.option.noHLinkFmt='true';
																					text.hlink.fmt='none';
																				}
																				<DOC_HLINK>
																					HKEYS={
																						'contextElement.id';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</DATA_CTRL>
																			<TEXT_CTRL>
																				TEXT=']'
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='count = countChildren("wsdl:operation");
count > 0 ? { setVar ("count", count); true } : false;'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Includes:'
												FMT={
													ctrl.size.width='45.8';
													ctrl.size.height='38.3';
													tcell.sizing='Minimal';
													tcell.align.vert='Top';
													par.style='ps9';
												}
											</TEXT_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='453.8';
													ctrl.size.height='38.3';
													par.style='ps10';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<DATA_CTRL>
																EXPR='getIntVar("count")'
															</DATA_CTRL>
															<TEXT_CTRL>
																COND='getIntVar("count") == 1'
																TEXT='operation'
																<DOC_HLINK>
																	HKEYS={
																		'Array (
  stockSection.contextElement.id,
  contextElement.id
)';
																		'"operation-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<TEXT_CTRL>
																COND='getIntVar("count") > 1'
																TEXT='operations'
																<DOC_HLINK>
																	HKEYS={
																		'Array (
  stockSection.contextElement.id,
  contextElement.id
)';
																		'"operation-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<AREA_SEC>
						DESCR='no binding found'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Binding:'
										FMT={
											ctrl.size.width='45.8';
											ctrl.size.height='18';
											tcell.sizing='Minimal';
											tcell.align.vert='Top';
											par.style='ps9';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='binding'
										FMT={
											ctrl.size.width='453.8';
											ctrl.size.height='18';
											text.style='cs8';
											par.style='ps10';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='EXTENSIBILITY ELEMENTS'
				COND='getBooleanParam("doc.wsdl.def.ports.extensibility")'
				FMT={
					sec.spacing.before='6';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps8';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Extensibility Elements:'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../misc/extensibilityElements.tpl'
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.wsdl.def.ports.source")'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"xml-source"';
					}
					NAME_EXPR='output.type == "document" ? "xml_source" : ""'
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps5';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='XML Source'
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											text.style='cs6';
											text.color.opaque='false';
										}
									</SEPARATOR>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../../xml/sourceNote.tpl'
										PASSED_PARAMS={
											'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.ports.source.remove.wsdl.docs")';
										}
										FMT={
											text.style='cs5';
											text.color.opaque='false';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.ports.source.box")'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							sec.spacing.after='8';
							table.style='ts1';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../../xml/nodeSource.tpl'
										PASSED_PARAMS={
											'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.ports.source.remove.wsdl.docs")';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../../xml/nodeSource.tpl'
						PASSED_PARAMS={
							'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.ports.source.remove.wsdl.docs")';
						}
						FMT={
							sec.spacing.before='5';
							sec.spacing.after='8';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='OPERATION SUMMARY'
				COND='getBooleanParam("doc.wsdl.def.ports.operationSummary")'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar ("binding")'
				MATCHING_ET='wsdl:binding'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"operation-summary"';
					}
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps5';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Operations'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<ELEMENT_ITER>
						STEP_EXPR='// find the corresponding portType operation
portTypeOperation = findElementByKey ("wsdl-bound-operations", contextElement.id);

stockSection.setVar ("portTypeOperation", portTypeOperation);

// determine the operation type
stockSection.setVar (
  "operationType",
  portTypeOperation.callStockSection ("Operation Type")
)'
						TARGET_ET='wsdl:operation%wsdl:tBindingOperation'
						SCOPE='simple-location-rules'
						RULES={
							'* -> wsdl:operation%wsdl:tBindingOperation';
						}
						SORTING='by-attr'
						SORTING_KEY={lpath='@name',ascending,case_sensitive}
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												COND='getBooleanParam("show.icons")'
												FMT={
													ctrl.size.width='105.8';
													ctrl.size.height='59.3';
													tcell.sizing='Minimal';
													tcell.width='16';
													tcell.align.vert='Top';
												}
												<AREA>
													<CTRL_GROUP>
														FMT={
															txtfl.separator.type='none';
															par.option.nowrap='true';
														}
														<CTRLS>
															<IMAGE_CTRL>
																COND='stockSection.getVar("operationType") == "request-response"'
																IMAGE_TYPE='file-image'
																FILE='../../images/operation_request-response.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	image.padding.right='2.5';
																}
															</IMAGE_CTRL>
															<IMAGE_CTRL>
																COND='stockSection.getVar("operationType") == "one-way"'
																IMAGE_TYPE='file-image'
																FILE='../../images/operation_one-way.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	image.padding.right='2.5';
																}
															</IMAGE_CTRL>
															<IMAGE_CTRL>
																COND='stockSection.getVar("operationType") == "solicit-response"'
																IMAGE_TYPE='file-image'
																FILE='../../images/operation_solicit-response.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	image.padding.right='2.5';
																}
															</IMAGE_CTRL>
															<IMAGE_CTRL>
																COND='stockSection.getVar("operationType") == "notification"'
																IMAGE_TYPE='file-image'
																FILE='../../images/operation_notification.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	image.padding.right='2.5';
																}
															</IMAGE_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='393.8';
													ctrl.size.height='59.3';
												}
												<AREA>
													<CTRL_GROUP>
														FMT={
															text.style='cs4';
														}
														<CTRLS>
															<DATA_CTRL>
																ATTR='name'
																FMT={
																	text.style='cs8';
																}
																<DOC_HLINK>
																	TITLE_EXPR='stockSection.getStringVar("operationType") + \' \' + "operation"
+
(getBooleanParam("show.linkTitle.name") ?
  \' “\' + getAttrValue("name") + \'”\' : "")'
																	HKEYS={
																		'contextElement.id';
																		'Array ("detail", "xml-source-location")';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<PANEL>
																COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
																FMT={
																	ctrl.size.width='144';
																	ctrl.size.height='38.3';
																	text.style='cs10';
																	txtfl.separator.type='none';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='['
																			</TEXT_CTRL>
																			<DATA_CTRL>
																				DOCFIELD='page-htarget'
																				FMT={
																					ctrl.option.noHLinkFmt='true';
																					text.hlink.fmt='none';
																				}
																				<DOC_HLINK>
																					HKEYS={
																						'contextElement.id';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</DATA_CTRL>
																			<TEXT_CTRL>
																				TEXT=']'
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' - ';
																}
															</SEPARATOR>
															<TEMPLATE_CALL_CTRL>
																TEMPLATE_FILE='../binding/operationDescription.tpl'
																PASSED_PARAMS={
																	'$portTypeOperation','stockSection.getElementVar ("portTypeOperation")';
																	'$firstSentence','true';
																}
																FMT={
																	txtfl.ehtml.render='true';
																	txtfl.ehtml.flatten='true';
																}
															</TEMPLATE_CALL_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Link Title'
		TEMPLATE_FILE='../misc/defLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Documentation'
		MATCHING_ET='wsdl:%tDocumented'
		TEMPLATE_FILE='../../doc/docOutput.tpl'
		PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='UGWnR0Rzgu01gMCU8ePKDoYb4prKHlCMNRxGOQmyj9c'
</FLEXDOCXYZ_TEMPLATE>