<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2009-05-05 04:55:37'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType';'xs:group'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$contentModelKey';
		param.title='"xsd-content-model-attribute-defs" map key';
		param.description='The key for "xsd-content-model-attribute-defs" map to find all attributes associated with this schema component';
		param.type='Object';
		param.defaultValue.expr='contextElement.id';
	}
	PARAM={
		param.name='doc.xsd.comp';
		param.title='XSD Component';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram';
		param.title='Diagram';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links';
		param.title='Hyperlinks';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links.attribute.global';
		param.title='Global Attributes';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='global;local';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links.element.local';
		param.title='Local Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='global;local';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links.compositors';
		param.title='Compositors';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs2';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message (Small)';
		style.id='cs3';
		text.font.size='9';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	PAR_STYLE={
		style.name='Diagram Heading';
		style.id='ps1';
		text.font.style.bold='true';
		text.color.foreground='#990000';
		par.bkgr.opaque='true';
		par.bkgr.color='#F5F5F5';
		par.border.style='solid';
		par.border.color='#999999';
		par.padding.left='2.5';
		par.padding.right='2.5';
		par.padding.top='2.5';
		par.padding.bottom='2.5';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs4';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs4';
}
<ROOT>
	<FOLDER>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Component Diagram'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='! exceedsDemoLimit("xsd-diagrams")'
				BREAK_PARENT_BLOCK='when-executed'
				ON_OUTPUT_EXPR='setVar ("has-diagrams", true)'
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.alignment='Center';
							par.margin.top='10';
							par.margin.bottom='10';
						}
						<CTRLS>
							<IMAGE_CTRL>
								IMAGE_TYPE='element-image'
								OUTPUT_DIR_EXPR='documentContext != mainContext ?
  output.dir : ""'
								OUTPUT_FILE_NAME_EXPR='documentContext != mainContext ?
  getAttrStringValue("name") : ""'
								FMT={
									image.option.allowRotation='true';
								}
								<DOC_HLINK>
									DESCR='case of any global component (except attribute)
--
try to link to its global documentation and, if not found, to its definition within the XML schema source'
									COND='imageMapArea.param == null'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ETS={'xs:attributeGroup';'xs:complexType';'xs:element';'xs:group';'xs:simpleType'}
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Component Link Title")'
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of anonymous type
--
first, try to link to the details about the anonymous types in the documentation of the schema component where that type is defined, then, in the documentation of the component depicted by the diagram, and, at last, to the type definition within the XML schema source; generate the type derivation summary as the link\'s title'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ETS={'xs:complexType%xs:localComplexType';'xs:simpleType%xs:localSimpleType'}
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Anonymous Type Link Title")'
									HKEYS={
										'contextElement.id';
										'Array ("detail", "local", "xml-source-location")';
										'Array (NoKey(), rootElement.id, NoKey())';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of local element'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:%localElement'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  getAttrValue("name") == "" ? "unknown element" :
  callStockSection("Component Link Title")'
									HKEYS={
										'keys = Vector (
  { 
    // if this local element is documented globally via a unifier,
    // use the ID of that unifier element

    el = findElementByKey ("xsd-globally-documented-comps",
                           contextElement.id);
    el != null ? el.id : contextElement.id
  },
  contextElement.id,
  contextElement.id,
  contextElement.id
);

hasParamValue("doc.xsd.comp.diagram.links.element.local", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
										'keys = Vector (
  "detail",
  "local",
  "def",
  "xml-source-location"
);

hasParamValue("doc.xsd.comp.diagram.links.element.local", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
										'keys = Vector (
  NoKey(),
  rootElement.id,
  NoKey(),
  NoKey()
);

hasParamValue("doc.xsd.comp.diagram.links.element.local", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of local attribute'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:attribute%xs:attribute'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  getAttrValue("name") == "" ? "unknown attribute" :
  callStockSection("Component Link Title")'
									HKEYS={
										'contextElement.id';
										'Array (
  "local",
  "def",
  "xml-source-location"
)';
										'Array (rootElement.id, NoKey())';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of global attribute'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:attribute'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Component Link Title")'
									HKEYS={
										'attrQName = getServiceAttr("qName").toQName();

refElement = findElementByKey (
  "xsd-content-model-attribute-defs",
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:%attribute") && getAttrQNameValue ("ref") == attrQName
  )
);

keys = Vector (
  contextElement.id,
  refElement.id,
  refElement.id,
  contextElement.id
);

hasParamValue("doc.xsd.comp.diagram.links.attribute.global", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
										'keys = Vector (
  "detail",
  "local",
  "def",
  "xml-source-location"
);

hasParamValue("doc.xsd.comp.diagram.links.attribute.global", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
										'keys = Vector (
  NoKey(),
  rootElement.id,
  NoKey(),
  NoKey()
);

hasParamValue("doc.xsd.comp.diagram.links.attribute.global", "local")
 ? keys.moveElement(0,2).toArray() : keys.toArray()';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of element/attribute wildcard'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:%wildcard'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Wildcard Link Title")'
									HKEYS={
										'contextElement.id';
										'Array (
  "local",
  "def",
  "xml-source-location"
)';
										'Array (rootElement.id, NoKey())';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='case of compositor'
									COND='getBooleanParam("doc.xsd.comp.diagram.links.compositors")'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:%explicitGroup'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  contextElement.localName + " compositor"'
									HKEYS={
										'contextElement.id';
										'"xml-source-location"';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='unresolved group reference'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ETS={'xs:%attributeGroupRef';'xs:%groupRef'}
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  instanceOf ("xs:%groupRef") ? "unknown group" : "unknown attributeGroup"'
									HKEYS={
										'contextElement.id';
										'"xml-source-location"';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='facet'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:%facet'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  "see " + contextElement.localName + " details"'
									HKEYS={
										'contextElement.id';
										'"facet-detail"';
										'Array (
  findAncestor ("xs:%complexType | xs:%simpleType").id,
  rootElement.id,
  NoKey()
)';
									}
								</DOC_HLINK>
								<DOC_HLINK>
									DESCR='link to a special section of component documentation'
									COND='imageMapArea.param != null'
									CONTEXT_ELEMENT_EXPR='imageMapElement'
									MATCHING_ET='xs:element'
									ALT_HLINK
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  imageMapArea.params[1].toString() ?? "see details"'
									HKEYS={
										'contextElement.id';
										'imageMapArea.param';
									}
								</DOC_HLINK>
							</IMAGE_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.margin.top='10';
							par.margin.bottom='10';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<AREA_SEC>
		SS_NAME='Anonymous Type Link Title'
		MATCHING_ETS={'xs:complexType%xs:localComplexType';'xs:simpleType%xs:localSimpleType'}
		FMT={
			sec.outputStyle='text-par';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='anonymous'
						<DOC_HLINK>
							HKEYS={
								'contextElement.id';
								'Array ("detail", "xml-source-location")';
							}
						</DOC_HLINK>
					</TEXT_CTRL>
					<DATA_CTRL>
						EXPR='instanceOf ("xs:%simpleType") ? "simpleType" : "complexType"'
					</DATA_CTRL>
					<TEMPLATE_CALL_CTRL>
						TEMPLATE_FILE='../type/typeDerivationSummary.tpl'
					</TEMPLATE_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		SS_NAME='Component Link Title'
		TEMPLATE_FILE='../component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Wildcard Link Title'
		TEMPLATE_FILE='../content/wildcard.tpl'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='Aiev8iPe+eHrZvr51O7bkOwVKgRf5LrN9N7pVcl2CWk'
</FLEXDOCXYZ_TEMPLATE>