<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2005-04-26 03:31:00'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ETS={'xs:%complexType';'xs:%simpleType'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle.namespace';
		param.title='Namespace URI';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Derivation Method';
		style.id='cs2';
		text.font.name='Verdana';
		text.font.size='8';
		text.color.foreground='#FF9900';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<ROOT>
	<FOLDER>
		FMT={
			sec.outputStyle='text-par';
		}
		<HEADER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<SS_CALL>
				MATCHING_ET='xs:%complexType'
				SS_NAME='complexType Derivation'
			</SS_CALL>
			<SS_CALL>
				MATCHING_ET='xs:%simpleType'
				SS_NAME='simpleType Derivation'
			</SS_CALL>
		</BODY>
		<FOOTER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</FOOTER>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<ELEMENT_ITER>
		SS_NAME='complexType Derivation'
		MATCHING_ET='xs:%complexType'
		STEP_EXPR='typeQName = adaptQName (
  getAttrQNameValue("base"),
  rootElement
);

setVar ("typeQName", typeQName);

setVar (
  "type", 
  findElementByKey (
    "xsd-types",
    hasServiceAttr ("redefineID") ?
      HashKey (typeQName, getServiceAttr ("redefineID")) : typeQName,
    BooleanQuery (checkElementByKey (
      "main-xmls",
      getXMLDocument().id,
      getElementParam("$mainXML")
    ))
  )
)'
		TARGET_ETS={'xs:%extensionType';'xs:%restrictionType'}
		SCOPE='advanced-location-rules'
		RULES={
			'* -> xs:complexContent/(xs:extension|xs:restriction)';
			'* -> xs:simpleContent/(xs:extension|xs:restriction)';
		}
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='space';
		}
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								MATCHING_ET='xs:%restrictionType'
								TEXT='restriction of'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								MATCHING_ET='xs:%extensionType'
								TEXT='extension of'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
							<DATA_CTRL>
								COND='! getElementVar("type").getAttrBooleanValue ("abstract")'
								EXPR='toXMLName (getQNameVar("typeQName"), Array (rootElement, contextElement))'
								FMT={
									text.style='cs4';
								}
								<DOC_HLINK>
									CONTEXT_ELEMENT_EXPR='getElementVar("type")'
									MATCHING_ETS={'xs:complexType';'xs:simpleType'}
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
							</DATA_CTRL>
							<DATA_CTRL>
								COND='getElementVar("type").getAttrBooleanValue ("abstract")'
								EXPR='toXMLName (getQNameVar("typeQName"), Array (rootElement, contextElement))'
								FMT={
									text.style='cs4';
									text.font.style.italic='true';
								}
								<DOC_HLINK>
									CONTEXT_ELEMENT_EXPR='getElementVar("type")'
									MATCHING_ETS={'xs:complexType';'xs:simpleType'}
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		SS_NAME='Link Title'
		TEMPLATE_FILE='../component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<ELEMENT_ITER>
		SS_NAME='simpleType Derivation'
		MATCHING_ET='xs:%simpleType'
		TARGET_ETS={'xs:list';'xs:restriction';'xs:union'}
		SCOPE='simple-location-rules'
		RULES={
			'* -> (xs:list|xs:restriction|xs:union)';
		}
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='space';
		}
		<BODY>
			<FOLDER>
				MATCHING_ET='xs:restriction'
				<BODY>
					<AREA_SEC>
						COND='getAttrValue("base") != null'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='restriction of'
										FMT={
											text.style='cs2';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='toXMLName (
  getAttrQNameValue("base"),
  Array (rootElement, contextElement)
)'
										FMT={
											text.style='cs4';
										}
										<DOC_HLINK>
											CONTEXT_ELEMENT_EXPR='qName = getAttrQNameValue("base");

findElementByKey (
  "xsd-types",
  hasServiceAttr ("redefineID") ?
    HashKey (qName, getServiceAttr ("redefineID")) : qName,
  BooleanQuery (checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  ))
)'
											MATCHING_ETS={'xs:complexType';'xs:simpleType'}
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='restriction of'
										FMT={
											text.style='cs2';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='simpleType Derivation'
										PASSED_ELEMENT_EXPR='findChild("xs:simpleType")'
										PASSED_ELEMENT_MATCHING_ET='xs:%localSimpleType'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				MATCHING_ET='xs:list'
				<BODY>
					<AREA_SEC>
						COND='getAttrValue("itemType") != null'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='list of'
										FMT={
											text.style='cs2';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='toXMLName (
  getAttrQNameValue("itemType"),
  Array (rootElement, contextElement)
)'
										FMT={
											text.style='cs4';
										}
										<DOC_HLINK>
											CONTEXT_ELEMENT_EXPR='findElementByKey (
  "xsd-types",
  getAttrQNameValue("itemType"),
  BooleanQuery (
    checkElementByKey (
      "main-xmls",
      getXMLDocument().id,
      getElementParam("$mainXML")
    )
  )
)'
											MATCHING_ETS={'xs:complexType';'xs:simpleType'}
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='list of'
										FMT={
											text.style='cs2';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='simpleType Derivation'
										PASSED_ELEMENT_EXPR='findChild("xs:simpleType")'
										PASSED_ELEMENT_MATCHING_ET='xs:%localSimpleType'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				MATCHING_ET='xs:union'
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=' | ';
				}
				<HEADER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='union of'
										FMT={
											text.style='cs2';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='('
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<ATTR_ITER>
						SCOPE='attr-values'
						ATTR='memberTypes'
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												EXPR='toXMLName (
  iterator.value.toQName(),
  Array (rootElement, contextElement)
)'
												FMT={
													text.style='cs4';
												}
												<DOC_HLINK>
													CONTEXT_ELEMENT_EXPR='findElementByKey (
  "xsd-types",
  toQName (iterator.value),
  BooleanQuery (
    checkElementByKey (
      "main-xmls",
      getXMLDocument().id,
      getElementParam("$mainXML")
    )
  )
)'
													MATCHING_ETS={'xs:complexType';'xs:simpleType'}
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
													HKEYS={
														'contextElement.id';
														'Array ("detail", "xml-source-location")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ATTR_ITER>
					<ELEMENT_ITER>
						TARGET_ET='xs:%localSimpleType'
						SCOPE='simple-location-rules'
						RULES={
							'* -> xs:%localSimpleType';
						}
						<BODY>
							<SS_CALL>
								SS_NAME='simpleType Derivation'
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
				<FOOTER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT=')'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</FOOTER>
			</FOLDER>
		</BODY>
	</ELEMENT_ITER>
</STOCK_SECTIONS>
CHECKSUM='Q86XPvJSSsSnpi3SDi+mIyci2jdfiISi8nhQlfF1CMU'
</FLEXDOCXYZ_TEMPLATE>