<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2008-11-25 03:52:22'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='gen.xsd.comp';
		param.title='XSD Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel';
		param.title='Separate Top-Level Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local';
		param.title='Local Elements';
		param.group='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local.unifyByType';
		param.title='Unify By Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.listFrame.toc';
		param.title='Table of Contents';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps';
		param.title='All Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs';
		param.title='WSDL Definitions';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs.services';
		param.title='Services';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs.bindings';
		param.title='Bindings';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs.portTypes';
		param.title='Port Types';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.wsdl.defs.messages';
		param.title='Messages';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps';
		param.title='XSD Components';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.elements';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.elements.local';
		param.title='Local Elements';
		param.type='enum';
		param.enum.values='all;complexType;none';
		param.enum.displayValues='all;with complex type;none';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.complexTypes';
		param.title='Complex Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.simpleTypes';
		param.title='Simple Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.groups';
		param.title='Element Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.attributes';
		param.title='Global Attributes';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.allcomps.xsd.comps.attributeGroups';
		param.title='Attribute Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.elementNameExt';
		param.title='Element Name Extensions';
		param.type='enum';
		param.enum.values='always;repeating;never';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='9.5';
		text.font.style.bold='true';
		par.margin.bottom='6';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2';
		style.id='ps2';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='6';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2 (Note)';
		style.id='ps3';
		text.font.name='Tahoma';
		text.font.size='6';
		text.font.style.bold='true';
		par.margin.top='0';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Item';
		style.id='ps4';
		text.font.size='9';
		par.option.nowrap='true';
	}
	TABLE_STYLE={
		style.name='Frame TOC Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Heading';
		style.id='ps5';
		text.font.name='Arial';
		text.font.size='7';
		text.font.style.bold='true';
		par.margin.bottom='2';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Item';
		style.id='ps6';
		text.font.size='8';
		par.option.nowrap='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs3';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
}
<ROOT>
	<AREA_SEC>
		FMT={
			par.style='ps1';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='All Components'
						<DOC_HLINK>
							TARGET_FRAME_EXPR='"detailFrame"'
							HKEYS={
								'"all-components-summary"';
							}
						</DOC_HLINK>
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		COND='getBooleanParam("nav.listFrame.toc")'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='TOC'
						FMT={
							ctrl.size.width='499.5';
							ctrl.size.height='18';
						}
					</SS_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='WSDL definitions'
		COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs")'
		<BODY>
			<ELEMENT_ITER>
				DESCR='list of services'
				COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.services")'
				TARGET_ET='wsdl:service'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions[checkElementsByKey("documented-wsdl-files", contextElement.id)]/wsdl:service';
				}
				SORTING='by-expr'
				SORTING_KEY={expr='toXMLName (
  findAncestor("wsdl:definitions").getAttrStringValue("targetNamespace"),
  getAttrStringValue("name")
)',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"',required;
								'"services"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='164.3';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-service-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Services'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/service.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of bindings'
				COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.bindings")'
				TARGET_ET='wsdl:binding'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions[checkElementsByKey("documented-wsdl-files", contextElement.id)]/wsdl:binding';
				}
				SORTING='by-expr'
				SORTING_KEY={expr='toXMLName (
  findAncestor("wsdl:definitions").getAttrStringValue("targetNamespace"),
  getAttrStringValue("name")
)',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"',required;
								'"bindings"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='168';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-binding-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Bindings'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/binding.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of port types'
				COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.portTypes")'
				TARGET_ET='wsdl:portType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions[checkElementsByKey("documented-wsdl-files", contextElement.id)]/wsdl:portType';
				}
				SORTING='by-expr'
				SORTING_KEY={expr='toXMLName (
  findAncestor("wsdl:definitions").getAttrStringValue("targetNamespace"),
  getAttrStringValue("name")
)',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"',required;
								'"portTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='174';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-portType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Port Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/portType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of messages'
				COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.messages")'
				TARGET_ET='wsdl:message'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions[checkElementsByKey("documented-wsdl-files", contextElement.id)]/wsdl:message';
				}
				SORTING='by-expr'
				SORTING_KEY={expr='toXMLName (
  findAncestor("wsdl:definitions").getAttrStringValue("targetNamespace"),
  getAttrStringValue("name")
)',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.wsdl.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"',required;
								'"messages"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='171';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-message-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Messages'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/message.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='XSD components'
		COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps")'
		<BODY>
			<FOLDER>
				DESCR='list of elements'
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.elements")'
				<HTARGET>
					HKEYS={
						'"all-components"';
						'"listFrame"';
						'"elements"';
					}
				</HTARGET>
				<BODY>
					<ELEMENT_ITER>
						DESCR='top-level elements'
						COND='getBooleanParam("gen.xsd.comp.element.topLevel")'
						TARGET_ET='xs:element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
							'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
							'xs:schema -> xs:element[getServiceAttr("isTopLevel").toBoolean()]',recursive;
						}
						SORTING='by-expr'
						SORTING_KEY={expr='getServiceAttr("qName").toQName().toXMLName()',ascending}
						SORTING_COND='getBooleanParam("gen.xsd.comp.element.topLevel.sorting")'
						<HEADER>
							<AREA_SEC>
								FMT={
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'"all-components"';
										'"listFrame"';
										'"top-level-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='207';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  "root element candidates (see summary)"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'"all-components"';
														'"top-level-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Top-Level Elements'
															</TEXT_CTRL>
															<DATA_CTRL>
																EXPR='"(" + iterator.numItems + ")"'
															</DATA_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								FMT={
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='images/element.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='2.5';
												}
											</IMAGE_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='XSD Component Name'
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER>
						DESCR='other elements'
						TARGET_ET='xs:%element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
							'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
							'xs:schema -> descendant::xs:%element',recursive;
						}
						FILTER='instanceOf("xs:element") ?
  ! getBooleanParam("gen.xsd.comp.element.topLevel") ||
  ! getServiceAttr ("isTopLevel").toBoolean()
:
! hasAttr("ref")
&&
{
  // remain only those local elements that are either not documented globally at all
  // or documented globaly themselves (not via a unifier)

  el = findElementByKey ("xsd-globally-documented-comps", contextElement.id);
  el == null || el.id == contextElement.id
}
&&
{
  // which local elements to list?
  local = getStringParam("nav.listFrame.allcomps.xsd.comps.elements.local");
  
  local == "complexType" ?
    ((typeQName = getAttrQNameValue("type")) != null) ?
    {
      mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

      checkElementsByKey (
        "xsd-types", typeQName,
        BooleanQuery (
          instanceOf("xs:complexType")
          &&
          checkElementByKey ("main-xmls", getXMLDocument().id, mainXML)
        )
      )
    }
    : hasChild("xs:complexType")
  :
  local == "all"
}'
						SORTING='by-expr'
						SORTING_KEY={expr='qName = getServiceAttr("qName").toQName();
displayName = toXMLName (qName);

instanceOf ("xs:element") ?
{
  // case of global elements
  displayName

} : {
  // case of local element

  // if name extension must be added
  hasParamValue("show.elementNameExt", "always")
  ||
  hasParamValue("show.elementNameExt", "repeating") &&
  {
    mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

    mainXMLFilter = BooleanQuery (checkElementByKey (
                      "main-xmls",
                      getXMLDocument().id,
                      mainXML
                    ));

    countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
  }
  ? displayName + "$" + callStockSection("elementNameExt") 
  : displayName + "$"
}',ascending}
						SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
						<HEADER>
							<AREA_SEC>
								INIT_EXPR='! hasParamValue("gen.xsd.comp.element.local", "none") &&
getBooleanParam("gen.xsd.comp.element.local.unifyByType") ?
{
  elementCount = 0;

  iterate (
    iterator.items,
    @(GOMElement) el,
    FlexQuery ({
      count = el.instanceOf ("xs:element") ? 1 :
                countElementsByKey ("xsd-globally-documented-comps", el.id);

      elementCount = elementCount + (count > 0 ? count : 1);
    })
  )
} : {
  elementCount = iterator.numItems
};

setVar ("elementCount", elementCount);'
								FMT={
									sec.spacing.after='2.5';
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'"all-components"';
										'"listFrame"';
										'"other-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.margin.bottom='0';
										}
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='357.8';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'"all-components"';
														'"other-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "top-level-elements"
  )
) != null'
																TEXT='Other'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='Elements'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='('
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<DATA_CTRL>
																EXPR='iterator.numItems'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' / ';
																}
															</SEPARATOR>
															<DATA_CTRL>
																COND='getIntVar("elementCount") != iterator.numItems'
																EXPR='getVar("elementCount")'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=')'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEMPLATE_CALL_CTRL>
												TEMPLATE_FILE='xsd/element/elementListNote.tpl'
												PASSED_PARAMS={
													'$elements.local','getStringParam("nav.listFrame.allcomps.xsd.comps.elements.local")';
													'$elements.local.unifiedByType','getIntVar("elementCount") != iterator.numItems';
												}
											</TEMPLATE_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								FMT={
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='images/element.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='2.5';
												}
											</IMAGE_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='XSD Component Name'
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
			<ELEMENT_ITER>
				DESCR='list of complex types'
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.complexTypes")'
				TARGET_ET='xs:complexType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'xs:schema -> xs:complexType',recursive;
					'xs:schema -> xs:redefine/xs:complexType',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='toXMLName (
  findAncestor("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue("name")
)',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"';
								'"complexTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='189.8';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-complexType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Complex Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/complexType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='XSD Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of simple types'
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.simpleTypes")'
				TARGET_ET='xs:simpleType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'xs:schema -> xs:simpleType',recursive;
					'xs:schema -> xs:redefine/xs:simpleType',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='toXMLName (
  findAncestor("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue("name")
)',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"';
								'"simpleTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='186.8';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-simpleType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Simple Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/simpleType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='XSD Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of element groups'
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.groups")'
				TARGET_ET='xs:group'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'xs:schema -> xs:group',recursive;
					'xs:schema -> xs:redefine/xs:group',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='toXMLName (
  findAncestor("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue("name")
)',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"';
								'"groups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='190.5';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-group-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Element Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/group.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='XSD Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.attributes")'
				TARGET_ET='xs:attribute'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'xs:schema -> xs:attribute',recursive;
				}
				SORTING='by-expr'
				SORTING_KEY={expr='toXMLName (
  findAncestor("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue("name")
)',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"';
								'"attributes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='169.5';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-attribute-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attributes'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/attribute.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='XSD Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of global attributes'
				COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.attributeGroups")'
				TARGET_ET='xs:attributeGroup'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'* -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
					'xs:schema -> xs:attributeGroup',recursive;
					'xs:schema -> xs:redefine/xs:attributeGroup',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='toXMLName (
  findAncestor ("xs:schema").getServiceAttr("targetNamespace").toString(),
  getAttrStringValue("name")
)',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.allcomps.xsd.comps.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'"all-components"';
								'"listFrame"';
								'"attributeGroups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='192.8';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'"all-attributeGroup-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attribute Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='images/attributeGroup.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='XSD Component Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='elementNameExt'
		MATCHING_ET='xs:%localElement'
		TEMPLATE_FILE='xsd/element/elementNameExt.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='TOC'
		<BODY>
			<FOLDER COLLAPSED='true'>
				DESCR='with icons'
				COND='getBooleanParam("show.icons")'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<FOLDER>
						DESCR='WSDL'
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps5';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='WSDL Definitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "services"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/services.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Services'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"services"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "bindings"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/bindings.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Bindings'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"bindings"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "portTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/portTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Port Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"portTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "messages"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/messages.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Messages'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"messages"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='XSD'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='2';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<HEADER>
							COND='getIntVar("documented-wsdl-count") > 0'
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps5';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='XSD Components'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "elements"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/elements.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='59.3';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='59.3';
													par.style='ps6';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Elements'
																<DOC_HLINK>
																	HKEYS={
																		'"all-components"';
																		'"listFrame"';
																		'"elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<PANEL>
																COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "top-level-elements"
  )
) != null'
																FMT={
																	ctrl.size.width='144.8';
																	txtfl.separator.type='none';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='('
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='top-level'
																				<DOC_HLINK>
																					HKEYS={
																						'"all-components"';
																						'"listFrame"';
																						'"top-level-elements"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<SEPARATOR>
																				FMT={
																					txtfl.separator.type='text';
																					txtfl.separator.text=' / ';
																				}
																			</SEPARATOR>
																			<TEXT_CTRL>
																				COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "other-elements"
  )
) != null'
																				TEXT='other'
																				<DOC_HLINK>
																					HKEYS={
																						'"all-components"';
																						'"listFrame"';
																						'"other-elements"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<SEPARATOR>
																				FMT={
																					txtfl.separator.type='none';
																				}
																			</SEPARATOR>
																			<TEXT_CTRL>
																				TEXT=')'
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "complexTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/complexTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Complex Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"complexTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "simpleTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/simpleTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Simple Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"simpleTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "groups"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/groups.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Element Groups'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"groups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "attributes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/attributes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Attributes'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"attributes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "attributeGroups"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='images/attributeGroups.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Attribute Groups'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps6';
												}
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"attributeGroups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<FOLDER COLLAPSED='true'>
				DESCR='without icons'
				<BODY>
					<FOLDER>
						DESCR='WSDL'
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='WSDL Definitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "services"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Services'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"services"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "bindings"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Bindings'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"bindings"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "portTypes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Port Types'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"portTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "messages"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Messages'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"messages"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='XSD'
						FMT={
							sec.spacing.before='2';
						}
						<HEADER>
							COND='getIntVar("documented-wsdl-count") > 0'
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='XSD Components'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "elements"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Elements'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"elements"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<PANEL>
												COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "top-level-elements"
  )
) != null'
												FMT={
													ctrl.size.width='144.8';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='('
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='top-level'
																<DOC_HLINK>
																	HKEYS={
																		'"all-components"';
																		'"listFrame"';
																		'"top-level-elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' / ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "other-elements"
  )
) != null'
																TEXT='other'
																<DOC_HLINK>
																	HKEYS={
																		'"all-components"';
																		'"listFrame"';
																		'"other-elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=')'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "complexTypes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Complex Types'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"complexTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "simpleTypes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Simple Types'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"simpleTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "groups"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Element Groups'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"groups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "attributes"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Attributes'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"attributes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    "all-components",
    "listFrame",
    "attributeGroups"
  )
) != null'
								FMT={
									par.style='ps6';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Attribute Groups'
												<DOC_HLINK>
													HKEYS={
														'"all-components"';
														'"listFrame"';
														'"attributeGroups"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL object'
		TEMPLATE_FILE='wsdl/misc/defName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Name'
		DESCR='prints the qualified name of any global schema component and local element (passed as the stock-section context element)'
		TEMPLATE_FILE='xsd/component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='eZf7piRgX106vKP9t52tERSuR8+nuO?9HmFYFYmcMBg'
</FLEXDOCXYZ_TEMPLATE>